Web lists-archives.com

Re: Setup-x86_64 and Cygwin 64 Latest Updates - Packages NOT Upgraded




On 31/03/2017 23:03, Brian Inglis wrote:
Just updated to latest Setup-x86_64 and Cygwin 64 packages.

Cross-checking setup and installed releases I find installed:

$ egrep '^(libproj9|libslang2|perl-Carp)\s' /etc/setup/installed.db
libproj9 libproj9-4.9.3-1.tar.bz2 0
libslang2 libslang2-2.3.1pre17-1.tar.bz2 0
perl-Carp perl-Carp-1.3301-2.tar.bz2 0

but setup.ini shows:

$ awk '/^@ (libproj9|libslang2|perl-Carp)$/,/^version:\s/' \
	`apt cache`/mirror/$HOSTTYPE/setup.ini | \
	egrep '^(@|version:)\s'
@ libproj9
version: 4.9.2-1
@ libslang2
version: 2.3.1a-1
@ perl-Carp
version: 1.38-1

on 64 bit libproj9 version seems only 4.9.2-1 for X86_64.
I will look whats happened.

for libslang2 you need to force update as
libslang2-2.3.1pre17-1 > 2.3.1a-1

An improvement on revision (0.x instead of 1)
was done to avoid this pitfall, but in this case
it was too late.


Are dependencies only auto-updated when the manually
picked packages that depend on them are?

Could these packages now be orphans if their original manually
picked parent packages changed their dependencies?


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple